

drivers/char/mem.c: In function `read_mem':
drivers/char/mem.c:152: warning: comparison of distinct pointer types lacks a cast
drivers/char/mem.c: In function `write_mem':
drivers/char/mem.c:207: warning: comparison of distinct pointer types lacks a cast
drivers/char/mem.c: In function `read_kmem':
drivers/char/mem.c:296: warning: comparison of distinct pointer types lacks a cast
drivers/char/mem.c: In function `do_write_kmem':
drivers/char/mem.c:373: warning: comparison of distinct pointer types lacks a cast


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/mem.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/char/mem.c~ia64-specific-dev-mem-handlers-fixes drivers/char/mem.c
--- 25/drivers/char/mem.c~ia64-specific-dev-mem-handlers-fixes	2005-02-28 18:09:02.000000000 -0800
+++ 25-akpm/drivers/char/mem.c	2005-02-28 18:10:26.000000000 -0800
@@ -149,7 +149,7 @@ static ssize_t read_mem(struct file * fi
 		if (-p & (PAGE_SIZE - 1))
 			sz = -p & (PAGE_SIZE - 1);
 		else
-			sz = min(PAGE_SIZE, count);
+			sz = min_t(unsigned long, PAGE_SIZE, count);
 
 		/*
 		 * On ia64 if a page has been mapped somewhere as
@@ -204,7 +204,7 @@ static ssize_t write_mem(struct file * f
 		if (-p & (PAGE_SIZE - 1))
 			sz = -p & (PAGE_SIZE - 1);
 		else
-			sz = min(PAGE_SIZE, count);
+			sz = min_t(unsigned long, PAGE_SIZE, count);
 
 		/*
 		 * On ia64 if a page has been mapped somewhere as
@@ -293,7 +293,7 @@ static ssize_t read_kmem(struct file *fi
 			if (-p & (PAGE_SIZE - 1))
 				sz = -p & (PAGE_SIZE - 1);
 			else
-				sz = min(PAGE_SIZE, count);
+				sz = min_t(unsigned long, PAGE_SIZE, count);
 
 			/*
 			 * On ia64 if a page has been mapped somewhere as
@@ -370,7 +370,7 @@ do_write_kmem(void *p, unsigned long rea
 		if (-realp & (PAGE_SIZE - 1))
 			sz = -realp & (PAGE_SIZE - 1);
 		else
-			sz = min(PAGE_SIZE, count);
+			sz = min_t(unsigned long, PAGE_SIZE, count);
 
 		/*
 		 * On ia64 if a page has been mapped somewhere as
_
